Bug 2110291 (CVE-2022-35737) - CVE-2022-35737 sqlite: assertion failure via query when compiled with -DSQLITE_ENABLE_STAT4
Summary: CVE-2022-35737 sqlite: assertion failure via query when compiled with -DSQLIT...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2022-35737
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2110324 2110325 2110326 2110323 2110327 2110328 2110329
Blocks: 2110060
TreeView+ depends on / blocked
 
Reported: 2022-07-25 06:58 UTC by Sandipan Roy
Modified: 2022-08-30 22:55 UTC (History)
20 users (show)

Fixed In Version: SQLite3 3.39.2
Doc Type: If docs needed, set a value
Doc Text:
An assertion failure flaw was found in sqlite3, triggered via a query. The issue occurs when the whereKeyStats() routine is unable to cope with row-value comparisons against the primary key index of a WITHOUT ROWID table. The vulnerability only exists when sqlite3 is compiled with the -DSQLITE_ENABLE_STAT4 flag.
Clone Of:
Environment:
Last Closed: 2022-08-30 22:55:54 UTC


Attachments (Terms of Use)

Description Sandipan Roy 2022-07-25 06:58:07 UTC
SQLite3 3.39.2 has been released on July 21, fixing a security issue:

This bug goes back almost 8 years to check-in ddb5f0558c445699 on 2016-09-07, version 3.15.0. On the other hand, the problem only comes up if you cmpile with -DSQLITE_ENABLE_STAT4. The STAT4 requirement means that most applications are unaffected by this problem.

Reference:

https://sqlite.org/forum/forumpost/3607259d3c
https://www.sqlite.org/releaselog/3_39_2.html

Comment 1 Sandipan Roy 2022-07-25 08:32:08 UTC
Created mingw-sqlite tracking bugs for this issue:

Affects: fedora-all [bug 2110325]


Created qt5-qtwebengine tracking bugs for this issue:

Affects: epel-8 [bug 2110324]
Affects: fedora-all [bug 2110326]


Created sqlite tracking bugs for this issue:

Affects: fedora-all [bug 2110327]


Created sqlite2 tracking bugs for this issue:

Affects: epel-7 [bug 2110323]
Affects: fedora-all [bug 2110328]


Created tdlib tracking bugs for this issue:

Affects: fedora-all [bug 2110329]

Comment 2 TEJ RATHI 2022-08-01 08:25:09 UTC
Statement: As per the upstream remark, "the problem only comes up if you compile with -DSQLITE_ENABLE_STAT4". Sqlite3 packages shipped with Red Hat Enterprise Linux are not compiled with that option. Hence, none of our offerings are affected by this CVE.

Comment 4 Product Security DevOps Team 2022-08-30 22:55:51 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-35737


Note You need to log in before you can comment on or make changes to this bug.